Bug 887457 - exo-open does not handle magnet links
Summary: exo-open does not handle magnet links
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exo
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-15 13:44 UTC by Maciek Borzecki
Modified: 2013-07-22 00:38 UTC (History)
4 users (show)

Fixed In Version: exo-0.10.2-5.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-15 01:03:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 9597 None None None Never

Description Maciek Borzecki 2012-12-15 13:44:19 UTC
Description of problem:
Whenever a magnet link is passed to exo-open, the message 'Unable to detect the URI-scheme of "magnet:?xt=..' pops up. This impairs every program that might want to open such link via xdg-open call.

Version-Release number of selected component (if applicable):
exo-0.10.1-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. call exo-open with magnet link
2.
3.
  
Actual results:
error message

Expected results:
open the link

Additional info:
bug reported upstream https://bugzilla.xfce.org/show_bug.cgi?id=9597

Comment 1 Kevin Fenzi 2013-02-03 02:23:52 UTC
Thanks.

Comment 2 Sebastian Mäki 2013-06-20 12:26:30 UTC
There is a patch for it in upstream.
http://git.xfce.org/xfce/exo/commit/?id=05848bb3cb10ea19ef8cba607bdabcd25560063c
We should probably patch the package until the changes propagate to the source used.

Comment 3 Fedora Update System 2013-07-05 22:21:12 UTC
exo-0.10.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/exo-0.10.2-5.fc19

Comment 4 Fedora Update System 2013-07-05 22:23:01 UTC
exo-0.10.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/exo-0.10.2-5.fc18

Comment 5 Fedora Update System 2013-07-07 01:27:38 UTC
Package exo-0.10.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exo-0.10.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12445/exo-0.10.2-5.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-07-15 01:03:23 UTC
exo-0.10.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-22 00:38:39 UTC
exo-0.10.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.